Loading...
Searching...
No Matches
copy_n.hpp File Reference

## Typedefs

template<typename I , typename O >
using | ranges::copy_n_result = detail::in_out_result< I, O >

## Functions

template<typename I , typename O , typename P = identity> requires input_iterator<I> && weakly_incrementable<O> && indirectly_copyable<I, O>
constexpr copy_n_result< I, O > | ranges::copy_n (I first, iter_difference_t< I > n, O out)
| function template `copy_n`